from enum import StrEnum


class TemporisZone:
    """
    A class to represent different time zones categorized by regions.
    """

    class AFRICA(StrEnum):
        ABIDJAN = "Africa/Abidjan"
        ACCRA = "Africa/Accra"
        ADDIS_ABABA = "Africa/Addis_Ababa"
        ALGIERS = "Africa/Algiers"
        ASMARA = "Africa/Asmara"
        ASMERA = "Africa/Asmera"
        BAMAKO = "Africa/Bamako"
        BANGUI = "Africa/Bangui"
        BANJUL = "Africa/Banjul"
        BISSAU = "Africa/Bissau"
        BLANTYRE = "Africa/Blantyre"
        BRAZZAVILLE = "Africa/Brazzaville"
        BUJUMBURA = "Africa/Bujumbura"
        CAIRO = "Africa/Cairo"
        CASABLANCA = "Africa/Casablanca"
        CEUTA = "Africa/Ceuta"
        CONAKRY = "Africa/Conakry"
        DAMASCUS = "Asia/Damascus"
        DAKAR = "Africa/Dakar"
        DAR_ES_SALAAM = "Africa/Dar_es_Salaam"
        DJIBOUTI = "Africa/Djibouti"
        DOUALA = "Africa/Douala"
        EL_AAIUN = "Africa/El_Aaiun"
        FREETOWN = "Africa/Freetown"
        GABORONE = "Africa/Gaborone"
        HARARE = "Africa/Harare"
        JOHANNESBURG = "Africa/Johannesburg"
        JUBA = "Africa/Juba"
        KAMPALA = "Africa/Kampala"
        KHARTOUM = "Africa/Khartoum"
        KIGALI = "Africa/Kigali"
        KINSHASA = "Africa/Kinshasa"
        LAGOS = "Africa/Lagos"
        LIBREVILLE = "Africa/Libreville"
        LOME = "Africa/Lome"
        LUANDA = "Africa/Luanda"
        LUBUMBASHI = "Africa/Lubumbashi"
        LUSAKA = "Africa/Lusaka"
        MALABO = "Africa/Malabo"
        MAPUTO = "Africa/Maputo"
        MASERU = "Africa/Maseru"
        MBABANE = "Africa/Mbabane"
        MOGADISHU = "Africa/Mogadishu"
        MONROVIA = "Africa/Monrovia"
        NAIROBI = "Africa/Nairobi"
        NDJAMENA = "Africa/Ndjamena"
        NIAMEY = "Africa/Niamey"
        NOUAKCHOTT = "Africa/Nouakchott"
        OUAGADOUGOU = "Africa/Ouagadougou"
        PORTO_NOVO = "Africa/Porto-Novo"
        SAO_TOME = "Africa/Sao_Tome"
        TIMBUKTU = "Africa/Timbuktu"
        TRIPOLI = "Africa/Tripoli"
        TUNIS = "Africa/Tunis"
        WINDHOEK = "Africa/Windhoek"

    class AMERICA(StrEnum):
        ADAK = "America/Adak"
        ATKA = "America/Atka"
        ANCHORAGE = "America/Anchorage"
        ANGUILLA = "America/Anguilla"
        ANTIGUA = "America/Antigua"
        ARAGUAINA = "America/Araguaina"
        ARGENTINA_BUENOS_AIRES = "America/Argentina/Buenos_Aires"
        ARGENTINA_CATAMARCA = "America/Argentina/Catamarca"
        ARGENTINA_COMODORIVADAVIA = "America/Argentina/ComodRivadavia"
        ARGENTINA_CORDOBA = "America/Argentina/Cordoba"
        ARGENTINA_JUJUY = "America/Argentina/Jujuy"
        ARGENTINA_LA_RIOJA = "America/Argentina/La_Rioja"
        ARGENTINA_MENDOZA = "America/Argentina/Mendoza"
        ARGENTINA_RIO_GALLEGOS = "America/Argentina/Rio_Gallegos"
        ARGENTINA_SALTA = "America/Argentina/Salta"
        ARGENTINA_SAN_JUAN = "America/Argentina/San_Juan"
        ARGENTINA_SAN_LUIS = "America/Argentina/San_Luis"
        ARGENTINA_TUCUMAN = "America/Argentina/Tucuman"
        ARGENTINA_USHUAIA = "America/Argentina/Ushuaia"
        ARUBA = "America/Aruba"
        ASUNCION = "America/Asuncion"
        ATIKOKAN = "America/Atikokan"
        BAHIA = "America/Bahia"
        BAHIA_BANDERAS = "America/Bahia_Banderas"
        BARBADOS = "America/Barbados"
        BELEM = "America/Belem"
        BELIZE = "America/Belize"
        BLANC_SABLON = "America/Blanc-Sablon"
        BOA_VISTA = "America/Boa_Vista"
        BOGOTA = "America/Bogota"
        BOISE = "America/Boise"
        BUENOS_AIRES = "America/Buenos_Aires"
        CATAMARCA = "America/Catamarca"
        CAMBRIDGE_BAY = "America/Cambridge_Bay"
        CAMPO_GRANDE = "America/Campo_Grande"
        CANCUN = "America/Cancun"
        CARACAS = "America/Caracas"
        CAYENNE = "America/Cayenne"
        CAYMAN = "America/Cayman"
        CHICAGO = "America/Chicago"
        CHIHUAHUA = "America/Chihuahua"
        CORAL_HARBOUR = "America/Coral_Harbour"
        CORDOBA = "America/Cordoba"
        COSTA_RICA = "America/Costa_Rica"
        CRESTON = "America/Creston"
        CIUDAD_JUAREZ = "America/Ciudad_Juarez"
        CUIABA = "America/Cuiaba"
        CURACAO = "America/Curacao"
        DANMARKSHAVN = "America/Danmarkshavn"
        DAWSON = "America/Dawson"
        DAWSON_CREEK = "America/Dawson_Creek"
        DENVER = "America/Denver"
        DETROIT = "America/Detroit"
        DOMINICA = "America/Dominica"
        EDMONTON = "America/Edmonton"
        ENSENADA = "America/Ensenada"
        EIRUNEPE = "America/Eirunepe"
        EL_SALVADOR = "America/El_Salvador"
        FORTALEZA = "America/Fortaleza"
        FORT_NELSON = "America/Fort_Nelson"
        FORT_WAYNE = "America/Fort_Wayne"
        GLACE_BAY = "America/Glace_Bay"
        GODTHAB = "America/Godthab"
        GOOSE_BAY = "America/Goose_Bay"
        GRAND_TURK = "America/Grand_Turk"
        GRENADA = "America/Grenada"
        GUADELOUPE = "America/Guadeloupe"
        GUATEMALA = "America/Guatemala"
        GUAYAQUIL = "America/Guayaquil"
        GUYANA = "America/Guyana"
        HALIFAX = "America/Halifax"
        HAVANA = "America/Havana"
        HERMOSILLO = "America/Hermosillo"
        INDIANA_INDIANAPOLIS = "America/Indiana/Indianapolis"
        INDIANA_KNOX = "America/Indiana/Knox"
        INDIANA_MARENGO = "America/Indiana/Marengo"
        INDIANA_PETERSBURG = "America/Indiana/Petersburg"
        INDIANA_TELL_CITY = "America/Indiana/Tell_City"
        INDIANA_VEVAY = "America/Indiana/Vevay"
        INDIANA_VINCENNES = "America/Indiana/Vincennes"
        INDIANA_WINAMAC = "America/Indiana/Winamac"
        INDIANAPOLIS = "America/Indianapolis"
        INUVIK = "America/Inuvik"
        IQALUIT = "America/Iqaluit"
        JAMAICA = "America/Jamaica"
        JUNEAU = "America/Juneau"
        JUJUY = "America/Jujuy"
        KENTUCKY_LOUISVILLE = "America/Kentucky/Louisville"
        KENTUCKY_MONTICELLO = "America/Kentucky/Monticello"
        KNOX_IN = "America/Knox_IN"
        KRALENDIJK = "America/Kralendijk"
        LA_PAZ = "America/La_Paz"
        LIMA = "America/Lima"
        LOS_ANGELES = "America/Los_Angeles"
        LOUISVILLE = "America/Louisville"
        LOWER_PRINCES = "America/Lower_Princes"
        MACEIO = "America/Maceio"
        MANAGUA = "America/Managua"
        MANAUS = "America/Manaus"
        MARIGOT = "America/Marigot"
        MARTINIQUE = "America/Martinique"
        MATAMOROS = "America/Matamoros"
        MAZATLAN = "America/Mazatlan"
        MENDOZA = "America/Mendoza"
        MENOMINEE = "America/Menominee"
        MERIDA = "America/Merida"
        METLAKATLA = "America/Metlakatla"
        MEXICO_CITY = "America/Mexico_City"
        MIQUELON = "America/Miquelon"
        MONCTON = "America/Moncton"
        MONTERREY = "America/Monterrey"
        MONTEVIDEO = "America/Montevideo"
        MONTREAL = "America/Montreal"
        MONTSERRAT = "America/Montserrat"
        NASSAU = "America/Nassau"
        NEW_YORK = "America/New_York"
        NIPIGON = "America/Nipigon"
        NOME = "America/Nome"
        NORONHA = "America/Noronha"
        NORTH_DAKOTA_BEULAH = "America/North_Dakota/Beulah"
        NORTH_DAKOTA_CENTER = "America/North_Dakota/Center"
        NORTH_DAKOTA_NEW_SALEM = "America/North_Dakota/New_Salem"
        NUUK = "America/Nuuk"
        OJINAGA = "America/Ojinaga"
        PANAMA = "America/Panama"
        PANGNIRTUNG = "America/Pangnirtung"
        PARAMARIBO = "America/Paramaribo"
        PHOENIX = "America/Phoenix"
        PORT_OF_SPAIN = "America/Port_of_Spain"
        PORT_AU_PRINCE = "America/Port-au-Prince"
        PORTO_VELHO = "America/Porto_Velho"
        PUNTA_ARENAS = "America/Punta_Arenas"
        PUERTO_RICO = "America/Puerto_Rico"
        RAINY_RIVER = "America/Rainy_River"
        RANKIN_INLET = "America/Rankin_Inlet"
        RECIFE = "America/Recife"
        REGINA = "America/Regina"
        RESOLUTE = "America/Resolute"
        RIO_BRANCO = "America/Rio_Branco"
        ROSARIO = "America/Rosario"
        SANTA_ISABEL = "America/Santa_Isabel"
        SANTAREM = "America/Santarem"
        SANTIAGO = "America/Santiago"
        SANTO_DOMINGO = "America/Santo_Domingo"
        SAO_PAULO = "America/Sao_Paulo"
        SCORESBYSUND = "America/Scoresbysund"
        SHIPROCK = "America/Shiprock"
        SITKA = "America/Sitka"
        ST_BARTHELEMY = "America/St_Barthelemy"
        ST_JOHNS = "America/St_Johns"
        ST_KITTS = "America/St_Kitts"
        ST_LUCIA = "America/St_Lucia"
        ST_THOMAS = "America/St_Thomas"
        ST_VINCENT = "America/St_Vincent"
        SWIFT_CURRENT = "America/Swift_Current"
        TEGUCIGALPA = "America/Tegucigalpa"
        THULE = "America/Thule"
        THUNDER_BAY = "America/Thunder_Bay"
        TIJUANA = "America/Tijuana"
        TORONTO = "America/Toronto"
        TORTOLA = "America/Tortola"
        VANCOUVER = "America/Vancouver"
        VIRGIN = "America/Virgin"
        WHITEHORSE = "America/Whitehorse"
        WINNIPEG = "America/Winnipeg"
        YAKUTAT = "America/Yakutat"
        YELLOWKNIFE = "America/Yellowknife"

    class ANTARCTICA(StrEnum):
        CASEY = "Antarctica/Casey"
        DAVIS = "Antarctica/Davis"
        DUMONTDURVILLE = "Antarctica/DumontDUrville"
        MACQUARIE = "Antarctica/Macquarie"
        MAWSON = "Antarctica/Mawson"
        MCMURDO = "Antarctica/McMurdo"
        PALMER = "Antarctica/Palmer"
        ROTHERA = "Antarctica/Rothera"
        SOUTH_POLE = "Antarctica/South_Pole"
        SYOWA = "Antarctica/Syowa"
        TROLL = "Antarctica/Troll"
        VOSTOK = "Antarctica/Vostok"

    class ARCTIC(StrEnum):
        LONGYEARBYEN = "Arctic/Longyearbyen"

    class ASIA(StrEnum):
        ADEN = "Asia/Aden"
        ALMATY = "Asia/Almaty"
        AMMAN = "Asia/Amman"
        ANADYR = "Asia/Anadyr"
        AQTAU = "Asia/Aqtau"
        AQTOBE = "Asia/Aqtobe"
        ASHGABAT = "Asia/Ashgabat"
        ASHKHABAD = "Asia/Ashkhabad"
        Atyrau = "Asia/Atyrau"
        BAGHDAD = "Asia/Baghdad"
        BAHRAIN = "Asia/Bahrain"
        BAKU = "Asia/Baku"
        BANGKOK = "Asia/Bangkok"
        BARNAUL = "Asia/Barnaul"
        BEIRUT = "Asia/Beirut"
        BISHKEK = "Asia/Bishkek"
        BRUNEI = "Asia/Brunei"
        CALCUTTA = "Asia/Calcutta"
        CHITA = "Asia/Chita"
        CHOIBALSAN = "Asia/Choibalsan"
        CHONGQING = "Asia/Chongqing"
        CHUNGKING = "Asia/Chungking"
        COLOMBO = "Asia/Colombo"
        DACCA = "Asia/Dacca"
        DHAKA = "Asia/Dhaka"
        DILI = "Asia/Dili"
        DUBAI = "Asia/Dubai"
        DUSHANBE = "Asia/Dushanbe"
        FAMAGUSTA = "Asia/Famagusta"
        GAZA = "Asia/Gaza"
        HARBIN = "Asia/Harbin"
        HEBRON = "Asia/Hebron"
        HO_CHI_MINH = "Asia/Ho_Chi_Minh"
        HONG_KONG = "Asia/Hong_Kong"
        HOVD = "Asia/Hovd"
        IRKUTSK = "Asia/Irkutsk"
        ISTANBUL = "Asia/Istanbul"
        JAKARTA = "Asia/Jakarta"
        JAYAPURA = "Asia/Jayapura"
        JERUSALEM = "Asia/Jerusalem"
        KABUL = "Asia/Kabul"
        KAMCHATKA = "Asia/Kamchatka"
        KARACHI = "Asia/Karachi"
        KASHGAR = "Asia/Kashgar"
        KATHMANDU = "Asia/Kathmandu"
        KATMANDU = "Asia/Katmandu"
        KHANDYGA = "Asia/Khandyga"
        KOLKATA = "Asia/Kolkata"
        KRASNOYARSK = "Asia/Krasnoyarsk"
        KUALA_LUMPUR = "Asia/Kuala_Lumpur"
        KUCHING = "Asia/Kuching"
        KUWAIT = "Asia/Kuwait"
        MACAO = "Asia/Macao"
        MACAU = "Asia/Macau"
        MAGADAN = "Asia/Magadan"
        MAKASSAR = "Asia/Makassar"
        MANILA = "Asia/Manila"
        MUSCAT = "Asia/Muscat"
        NICOSIA = "Asia/Nicosia"
        NOVOKUZNETSK = "Asia/Novokuznetsk"
        NOVOSIBIRSK = "Asia/Novosibirsk"
        OMSK = "Asia/Omsk"
        ORAL = "Asia/Oral"
        PHNOM_PENH = "Asia/Phnom_Penh"
        PORTO_ACRE = "America/Porto_Acre"
        PONTIANAK = "Asia/Pontianak"
        PYONGYANG = "Asia/Pyongyang"
        QATAR = "Asia/Qatar"
        QOSTANAY = "Asia/Qostanay"
        QYZYLORDA = "Asia/Qyzylorda"
        RANGOON = "Asia/Rangoon"
        RIYADH = "Asia/Riyadh"
        SAIGON = "Asia/Saigon"
        SAKHALIN = "Asia/Sakhalin"
        SAMARKAND = "Asia/Samarkand"
        SEOUL = "Asia/Seoul"
        SHANGHAI = "Asia/Shanghai"
        SINGAPORE = "Asia/Singapore"
        SREDNEKOLYMSK = "Asia/Srednekolymsk"
        TAIPEI = "Asia/Taipei"
        TASHKENT = "Asia/Tashkent"
        TBILISI = "Asia/Tbilisi"
        TEHRAN = "Asia/Tehran"
        TEL_AVIV = "Asia/Tel_Aviv"
        THIMBU = "Asia/Thimbu"
        THIMPHU = "Asia/Thimphu"
        TOKYO = "Asia/Tokyo"
        TOMSK = "Asia/Tomsk"
        UJUNG_PANDANG = "Asia/Ujung_Pandang"
        ULAANBAATAR = "Asia/Ulaanbaatar"
        ULAN_BATOR = "Asia/Ulan_Bator"
        URUMQI = "Asia/Urumqi"
        UST_NERA = "Asia/Ust-Nera"
        VIENTIANE = "Asia/Vientiane"
        VLADIVOSTOK = "Asia/Vladivostok"
        YAKUTSK = "Asia/Yakutsk"
        YANGON = "Asia/Yangon"
        YEKATERINBURG = "Asia/Yekaterinburg"
        YEREVAN = "Asia/Yerevan"

    class ATLANTIC(StrEnum):
        AZORES = "Atlantic/Azores"
        BERMUDA = "Atlantic/Bermuda"
        CANARY = "Atlantic/Canary"
        CAPE_VERDE = "Atlantic/Cape_Verde"
        FAROE = "Atlantic/Faroe"
        FAEROE = "Atlantic/Faeroe"
        JAN_MAYEN = "Atlantic/Jan_Mayen"
        MADEIRA = "Atlantic/Madeira"
        REYKJAVIK = "Atlantic/Reykjavik"
        SOUTH_GEORGIA = "Atlantic/South_Georgia"
        ST_HELENA = "Atlantic/St_Helena"
        STANLEY = "Atlantic/Stanley"

    class AUSTRALIA(StrEnum):
        ACT = "Australia/ACT"
        ADELAIDE = "Australia/Adelaide"
        BRISBANE = "Australia/Brisbane"
        BROKEN_HILL = "Australia/Broken_Hill"
        CANBERA = "Australia/Canberra"
        CURRIE = "Australia/Currie"
        DARWIN = "Australia/Darwin"
        EUCLA = "Australia/Eucla"
        HOBART = "Australia/Hobart"
        LHI = "Australia/LHI"
        LINDEMAN = "Australia/Lindeman"
        LORD_HOWE = "Australia/Lord_Howe"
        MELBOURNE = "Australia/Melbourne"
        NSW = "Australia/NSW"
        NORTH = "Australia/North"
        PERTH = "Australia/Perth"
        QUEENSLAND = "Australia/Queensland"
        SOUTH = "Australia/South"
        SYDNEY = "Australia/Sydney"
        TASMANIA = "Australia/Tasmania"
        VICTORIA = "Australia/Victoria"
        WEST = "Australia/West"
        YANCOWINNA = "Australia/Yancowinna"

    class BRAZIL(StrEnum):
        ACRE = "Brazil/Acre"
        DE_NORONHA = "Brazil/DeNoronha"
        EAST = "Brazil/East"
        WEST = "Brazil/West"

    class CANADA(StrEnum):
        ATLANTIC = "Canada/Atlantic"
        CENTRAL = "Canada/Central"
        EASTERN = "Canada/Eastern"
        MOUNTAIN = "Canada/Mountain"
        NEWFOUNDLAND = "Canada/Newfoundland"
        PACIFIC = "Canada/Pacific"
        SASKATCHEWAN = "Canada/Saskatchewan"
        YUKON = "Canada/Yukon"

    class CHILE(StrEnum):
        CONTINENTAL = "Chile/Continental"
        EASTER_ISLAND = "Chile/EasterIsland"

    class ETC(StrEnum):
        GMT = "Etc/GMT"
        GMT_PLUS_0 = "Etc/GMT+0"
        GMT_PLUS_1 = "Etc/GMT+1"
        GMT_PLUS_10 = "Etc/GMT+10"
        GMT_PLUS_11 = "Etc/GMT+11"
        GMT_PLUS_12 = "Etc/GMT+12"
        GMT_PLUS_2 = "Etc/GMT+2"
        GMT_PLUS_3 = "Etc/GMT+3"
        GMT_PLUS_4 = "Etc/GMT+4"
        GMT_PLUS_5 = "Etc/GMT+5"
        GMT_PLUS_6 = "Etc/GMT+6"
        GMT_PLUS_7 = "Etc/GMT+7"
        GMT_PLUS_8 = "Etc/GMT+8"
        GMT_PLUS_9 = "Etc/GMT+9"
        GMT_MINUS_0 = "Etc/GMT-0"
        GMT_MINUS_1 = "Etc/GMT-1"
        GMT_MINUS_10 = "Etc/GMT-10"
        GMT_MINUS_11 = "Etc/GMT-11"
        GMT_MINUS_12 = "Etc/GMT-12"
        GMT_MINUS_13 = "Etc/GMT-13"
        GMT_MINUS_14 = "Etc/GMT-14"
        GMT_MINUS_2 = "Etc/GMT-2"
        GMT_MINUS_3 = "Etc/GMT-3"
        GMT_MINUS_4 = "Etc/GMT-4"
        GMT_MINUS_5 = "Etc/GMT-5"
        GMT_MINUS_6 = "Etc/GMT-6"
        GMT_MINUS_7 = "Etc/GMT-7"
        GMT_MINUS_8 = "Etc/GMT-8"
        GMT_MINUS_9 = "Etc/GMT-9"
        GMT0 = "Etc/GMT0"
        GREENWICH = "Etc/Greenwich"
        UCT = "Etc/UCT"
        UTC = "Etc/UTC"
        UNIVERSAL = "Etc/Universal"
        ZULU = "Etc/Zulu"

    class EUROPE(StrEnum):
        AMSTERDAM = "Europe/Amsterdam"
        ANDORRA = "Europe/Andorra"
        ATHENS = "Europe/Athens"
        ASTRAKHAN = "Europe/Astrakhan"
        BELFAST = "Europe/Belfast"
        BELGRADE = "Europe/Belgrade"
        BERLIN = "Europe/Berlin"
        BRATISLAVA = "Europe/Bratislava"
        BRUSSELS = "Europe/Brussels"
        BUCHAREST = "Europe/Bucharest"
        BUDAPEST = "Europe/Budapest"
        BUSINGEN = "Europe/Busingen"
        CHISINAU = "Europe/Chisinau"
        COPENHAGEN = "Europe/Copenhagen"
        DUBLIN = "Europe/Dublin"
        GIBRALTAR = "Europe/Gibraltar"
        GUERNSEY = "Europe/Guernsey"
        HELSINKI = "Europe/Helsinki"
        ISLE_OF_MAN = "Europe/Isle_of_Man"
        ISTANBUL = "Europe/Istanbul"
        JERSEY = "Europe/Jersey"
        KALININGRAD = "Europe/Kaliningrad"
        KIEV = "Europe/Kiev"
        KIROV = "Europe/Kirov"
        KYIV = "Europe/Kyiv"
        LISBON = "Europe/Lisbon"
        LJUBLJANA = "Europe/Ljubljana"
        LONDON = "Europe/London"
        LUXEMBOURG = "Europe/Luxembourg"
        MADRID = "Europe/Madrid"
        MALTA = "Europe/Malta"
        MARIEHAMN = "Europe/Mariehamn"
        MINSK = "Europe/Minsk"
        MONACO = "Europe/Monaco"
        MOSCOW = "Europe/Moscow"
        NICOSIA = "Europe/Nicosia"
        OSLO = "Europe/Oslo"
        PARIS = "Europe/Paris"
        PODGORICA = "Europe/Podgorica"
        POLAND = "Poland"
        PORTUGAL = "Portugal"
        PRAGUE = "Europe/Prague"
        RIGA = "Europe/Riga"
        ROME = "Europe/Rome"
        SARATOV = "Europe/Saratov"
        SAMARA = "Europe/Samara"
        SAN_MARINO = "Europe/San_Marino"
        SARAJEVO = "Europe/Sarajevo"
        SIMFEROPOL = "Europe/Simferopol"
        SINGAPURE = "Singapore"
        SKOPJE = "Europe/Skopje"
        SOFIA = "Europe/Sofia"
        STOCKHOLM = "Europe/Stockholm"
        TALLINN = "Europe/Tallinn"
        TIRANE = "Europe/Tirane"
        TIRASPOL = "Europe/Tiraspol"
        TURKEY = "Turkey"
        ULYANOVSK = "Europe/Ulyanovsk"
        UZHGOROD = "Europe/Uzhgorod"
        VADUZ = "Europe/Vaduz"
        VATICAN = "Europe/Vatican"
        VIENNA = "Europe/Vienna"
        VILNIUS = "Europe/Vilnius"
        VOLGOGRAD = "Europe/Volgograd"
        WARSAW = "Europe/Warsaw"
        ZAGREB = "Europe/Zagreb"
        ZAPOROZHYE = "Europe/Zaporozhye"
        ZURICH = "Europe/Zurich"

    class INDIAN(StrEnum):
        ANTANANARIVO = "Indian/Antananarivo"
        CHAGOS = "Indian/Chagos"
        CHRISTMAS = "Indian/Christmas"
        COCOS = "Indian/Cocos"
        COMORO = "Indian/Comoro"
        KERGUELEN = "Indian/Kerguelen"
        MAHE = "Indian/Mahe"
        MALDIVES = "Indian/Maldives"
        MAURITIUS = "Indian/Mauritius"
        MAYOTTE = "Indian/Mayotte"
        REUNION = "Indian/Reunion"

    class MEXICO(StrEnum):
        BAJA_NORTE = "Mexico/BajaNorte"
        BAJA_SUR = "Mexico/BajaSur"
        GENERAL = "Mexico/General"

    class PACIFIC(StrEnum):
        APIA = "Pacific/Apia"
        AUCKLAND = "Pacific/Auckland"
        BOUGAINVILLE = "Pacific/Bougainville"
        CHATHAM = "Pacific/Chatham"
        CHUUK = "Pacific/Chuuk"
        EASTER = "Pacific/Easter"
        EFATE = "Pacific/Efate"
        END = "Pacific/Enderbury"
        FAKAOFO = "Pacific/Fakaofo"
        FIJI = "Pacific/Fiji"
        FUNAFUTI = "Pacific/Funafuti"
        GALAPAGOS = "Pacific/Galapagos"
        GAMBIER = "Pacific/Gambier"
        GUADALCANAL = "Pacific/Guadalcanal"
        GUAM = "Pacific/Guam"
        HONOLULU = "Pacific/Honolulu"
        JOHNSTON = "Pacific/Johnston"
        KANTON = "Pacific/Kanton"
        KIRITIMATI = "Pacific/Kiritimati"
        KOSRAE = "Pacific/Kosrae"
        KWAJALEIN = "Pacific/Kwajalein"
        MAJURO = "Pacific/Majuro"
        MARQUESAS = "Pacific/Marquesas"
        MIDWAY = "Pacific/Midway"
        NAURU = "Pacific/Nauru"
        NIUE = "Pacific/Niue"
        NORFOLK = "Pacific/Norfolk"
        NOUMEA = "Pacific/Noumea"
        PAGO_PAGO = "Pacific/Pago_Pago"
        PALAU = "Pacific/Palau"
        PITCAIRN = "Pacific/Pitcairn"
        POHNPEI = "Pacific/Pohnpei"
        PONAPE = "Pacific/Ponape"
        PORT_MORESBY = "Pacific/Port_Moresby"
        RAROTONGA = "Pacific/Rarotonga"
        SAIPAN = "Pacific/Saipan"
        SAMOA = "Pacific/Samoa"
        TAHITI = "Pacific/Tahiti"
        TARAWA = "Pacific/Tarawa"
        TONGATAPU = "Pacific/Tongatapu"
        TRUK = "Pacific/Truk"
        WAKE = "Pacific/Wake"
        WALLIS = "Pacific/Wallis"
        YAP = "Pacific/Yap"

    class GMT(StrEnum):
        GMT = "Etc/GMT"
        GMT_PLUS_0 = "Etc/GMT+0"
        GMT_PLUS_1 = "Etc/GMT+1"
        GMT_PLUS_10 = "Etc/GMT+10"
        GMT_PLUS_11 = "Etc/GMT+11"
        GMT_PLUS_12 = "Etc/GMT+12"
        GMT_PLUS_2 = "Etc/GMT+2"
        GMT_PLUS_3 = "Etc/GMT+3"
        GMT_PLUS_4 = "Etc/GMT+4"
        GMT_PLUS_5 = "Etc/GMT+5"
        GMT_PLUS_6 = "Etc/GMT+6"
        GMT_PLUS_7 = "Etc/GMT+7"
        GMT_PLUS_8 = "Etc/GMT+8"
        GMT_PLUS_9 = "Etc/GMT+9"
        GMT_MINUS_0 = "Etc/GMT-0"
        GMT_MINUS_1 = "Etc/GMT-1"
        GMT_MINUS_10 = "Etc/GMT-10"
        GMT_MINUS_11 = "Etc/GMT-11"
        GMT_MINUS_12 = "Etc/GMT-12"
        GMT_MINUS_13 = "Etc/GMT-13"
        GMT_MINUS_14 = "Etc/GMT-14"
        GMT_MINUS_2 = "Etc/GMT-2"
        GMT_MINUS_3 = "Etc/GMT-3"
        GMT_MINUS_4 = "Etc/GMT-4"
        GMT_MINUS_5 = "Etc/GMT-5"
        GMT_MINUS_6 = "Etc/GMT-6"
        GMT_MINUS_7 = "Etc/GMT-7"
        GMT_MINUS_8 = "Etc/GMT-8"
        GMT_MINUS_9 = "Etc/GMT-9"
        GMT0 = "Etc/GMT0"

    class US(StrEnum):
        ALASKA = "US/Alaska"
        ALEUTIAN = "US/Aleutian"
        ARIZONA = "US/Arizona"
        CENTRAL = "US/Central"
        EASTERN = "US/Eastern"
        EAST_INDIANA = "US/East-Indiana"
        HAWAII = "US/Hawaii"
        INDIANA_STARKE = "US/Indiana-Starke"
        MICHIGAN = "US/Michigan"
        MOUNTAIN = "US/Mountain"
        PACIFIC = "US/Pacific"
        SAMOA = "US/Samoa"

    class OTHER(StrEnum):
        CET = "CET"
        CST6CDT = "CST6CDT"
        CUBA = "Cuba"
        EET = "EET"
        EGYPT = "Egypt"
        EIRE = "Eire"
        EST = "EST"
        EST5EDT = "EST5EDT"
        FACTORY = "Factory"
        GB = "GB"
        GB_EIRE = "GB-Eire"
        GMT = "GMT"
        GMT0 = "GMT0"
        GMT_PLUS_0 = "GMT+0"
        GMT_MINUS_1 = "GMT-0"
        GREENWICH = "Greenwich"
        HONGKONG = "Hongkong"
        HST = "HST"
        ICELAND = "Iceland"
        IRAN = "Iran"
        ISRAEL = "Israel"
        JAMAICA = "Jamaica"
        JAPAN = "Japan"
        KWAJALEIN = "Kwajalein"
        LIBYA = "Libya"
        MET = "MET"
        MST = "MST"
        MST7MDT = "MST7MDT"
        NZ = "NZ"
        NZ_CHAT = "NZ-CHAT"
        NAVAJO = "Navajo"
        PRC = "PRC"
        PST8PDT = "PST8PDT"
        ROK = "ROK"
        UCT = "UCT"
        UNIVERSAL = "Universal"
        UTC = "UTC"
        ROC = "ROC"
        WET = "WET"
        W_SU = "W-SU"
        ZULU = "Zulu"
